import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Controls.Styles 1.3

ApplicationWindow {
    visible: true
    width: 400
    height: 120
    title: qsTr("ScrollViewStyle Test")

    ScrollView {
        style: ScrollViewStyle {
            handleOverlap: 0
            minimumHandleLength: 14
            handle: BorderImage {
                source: "qrc:/scrollbar-handle-vertical.png"
                border.top: 6
                border.bottom: 6
            }
        }

        anchors {
            left: parent.left
            top: parent.top
            right: parent.right
            topMargin: 5
            leftMargin: 5
            rightMargin: 5
        }
        height: 100

        Text {
            text: "When scrolled completely to the top,\nthe handle should normally be exactly next to the button.\n\n\nHere some more text for scrolling.\na\na\na\na\na\na\na\na\na\na\na\na\na"
        }
    }
}
